<?php
// options
// settions
$mga_settings = array();
// general
$mga_settings['general']['affliate_site_title']      = __('Magic Affiliate Center','mga');
$mga_settings['general']['affliate_site_copyright']  = __('&copy; Magic Affiliates '.date('Y'),'mga');
$mga_settings['general']['cookie_life']              = '25';
$mga_settings['general']['commission_level']         = '30';
$mga_settings['general']['commission_type']          = 'flat';

$mga_settings['general']['tier_commission']          = 'Y';
$mga_settings['general']['tier_levels']              = '3';
$mga_settings['general']['tier_commissions'][1]      = '20';
$mga_settings['general']['tier_commissions'][2]      = '4';
$mga_settings['general']['tier_commissions'][3]      = '1';

$mga_settings['general']['signup_bonus']             = '20';
$mga_settings['general']['currency_symbol']          = '$';
$mga_settings['general']['currency_code']            = 'USD';
$mga_settings['general']['auto_commission_reversal'] = 'Y';
$mga_settings['general']['contact_email']            = get_option('admin_email');
$mga_settings['general']['affiliate_login_url']      = 'affiliates';
$mga_settings['general']['term_url']                 = trailingslashit(get_option('siteurl')).'terms';
$mga_settings['general']['notify_admin']             = 'Y';

$mga_settings['general']['short_date_format']        = 'm-d-Y';
$mga_settings['general']['long_date_format']         = 'm-d-Y H:i:s';
// 	pagination
$mga_settings['general']['pagination']               = 20;	

// security
$mga_settings['security']['use_captcha']             = 'N';
$mga_settings['security']['public_key']              = '';
$mga_settings['security']['private_key']             = '';

// affiliate center
$mga_settings['affcenter']['index_page_title']       = __('Signup title here','mga');
$mga_settings['affcenter']['index_page_message']     = __('Signup notes here','mga');

// emailtemplates 

// to affiliates : sale notifictaion
$mga_settings['emailtemplates']['sale_notification_subject']  = 'New Sale Notification';
$mga_settings['emailtemplates']['sale_notification_body']     = 'Dear [name],<br>'.
                                                                'You have earned a sale commission:<br>'.
                                                                'Buyer: [buyer_name]<br>'.
																'Sale Amount: [amount]<br>'.
																'Sale Date: [sale_date]<br>'.
																'Commission Earned: [commission]<br>'.
																'Regards,<br>'.
																'Magic Affiliate Team';
// to affiliates : signup notifictaion
$mga_settings['emailtemplates']['signup_notification_subject']  = 'Welcome to [site]';
$mga_settings['emailtemplates']['signup_notification_body']     = 'Dear [name],<br>'.
																  'Congratulations, you are now a registered Affiliate of [site]<br>'.
																  'Regards,<br>'.
																  'Magic Affiliate Team';														  

// to admin : sale notifictaion
$mga_settings['emailtemplates']['sale_notification_admin_subject']  = 'New Sale Notification';
$mga_settings['emailtemplates']['sale_notification_admin_body']     = 'Dear [name],<br>'.
																	  'A sale commission generated on [site]:<br>'.
																	  'Affiliate: [affiliate_name]<br>'.
																	  'Buyer: [buyer_name]<br>'.
																	  'Sale Amount: [amount]<br>'.
																	  'Sale Date: [sale_date]<br>'.
																	  'Commission: [commission]<br>'.
																	  'Regards,<br>'.
																	  'Magic Affiliate Team';

// to admin : : signup notifictaion
$mga_settings['emailtemplates']['signup_notification_admin_subject']  = 'Signup Notification';
$mga_settings['emailtemplates']['signup_notification_admin_body']     = 'Dear [name],<br>'. 
																		'A new Signup on [site]:<br>'. 
																		'Affiliate: [affiliate_name]<br>'. 	
																		'Email: [email]<br>'. 
																		'Company: [company]<br>'. 
																		'Website: [website]<br>'. 
																		'Phone: [phone]<br>'. 
																		'Join Date: [join_date]<br>'.
																		'Regards,<br>'.
																		'Magic Affiliate Team';															  																
																   																 
// add settings
add_option('mga_settings', $mga_settings);

// version
update_option('mga_version', MGA_PLUGIN_VERSION);

// upgrade id, set to 1.0, carefullly select this to run upgrades after that
update_option('mga_upgrade_id', 0.0);// updates upto upgrade 1.3 is merged in first install, to skip twice run set id at 1.3, 1.4 onward is new

// end of file