<?php
// options
$new_settings = array();
// new option should be merged
$old_settings = get_option('mga_settings');
// email templates
$emailtemplates = $old_settings['emailtemplates'];

// sale_notification template
if(!isset($emailtemplates['sale_notification_body']) || empty($emailtemplates['sale_notification_body'])){	
	// to affiliates : sale notifictaion
	$new_settings['emailtemplates']['sale_notification_subject']  = 'New Sale Notification';
	$new_settings['emailtemplates']['sale_notification_body']     = 'Dear [name],<br>'.
																	'You have earned a sale commission:<br>'.
																	'Buyer: [buyer_name]<br>'.
																	'Sale Amount: [amount]<br>'.
																	'Sale Date: [sale_date]<br>'.
																	'Commission Earned: [commission]<br>'.
																	'Regards,<br>'.
																	'Magic Affiliate Team';
}
// signup_notification template
if(!isset($emailtemplates['signup_notification_body']) || empty($emailtemplates['signup_notification_body'])){																	
	// to affiliates : signup notifictaion
	$new_settings['emailtemplates']['signup_notification_subject']  = 'Welcome to [site]<br>';
	$new_settings['emailtemplates']['signup_notification_body']     = 'Dear [name],<br>'.
																	  'Congratulations, you are now a registered Affiliate of [site]<br>'.
																	  'Regards,<br>'.
																	  'Magic Affiliate Team';		
}																  												  
// sale_notification to admin template
if(!isset($emailtemplates['sale_notification_admin_body']) || empty($emailtemplates['sale_notification_admin_body'])){
	// update
	$mga_update_setting = true;
	
	// to admin : sale notifictaion
	$new_settings['emailtemplates']['sale_notification_admin_subject']  = 'New Sale Notification';
	$new_settings['emailtemplates']['sale_notification_admin_body']     = 'Dear [name],<br>'.
																		  'A sale commission generated on [site]:<br>'.
																		  'Affiliate: [affiliate_name]<br>'.
																		  'Buyer: [buyer_name]<br>'.
																		  'Sale Amount: [amount]<br>'.
																		  'Sale Date: [sale_date]<br>'.
																		  'Commission: [commission]<br>'.
																		  'Regards,<br>'.
																		  'Magic Affiliate Team';
}																		  
// signup_notification to admin template
if(!isset($emailtemplates['signup_notification_admin_body']) || empty($emailtemplates['signup_notification_admin_body'])){
	// update
	$mga_update_setting = true;
	
	// to admin : : signup notifictaion
	$new_settings['emailtemplates']['signup_notification_admin_subject']  = 'Signup Notification';
	$new_settings['emailtemplates']['signup_notification_admin_body']     = 'Dear [name],<br>'. 
																			'A new Signup on [site]:<br>'. 
																			'Affiliate: [affiliate_name]<br>'. 	
																			'Email: [email]<br>'. 
																			'Company: [company]<br>'. 
																			'Website: [website]<br>'. 
																			'Phone: [phone]<br>'. 
																			'Join Date: [join_date]<br>'.
																			'Regards,<br>'.
																			'Magic Affiliate Team';
}																				
																		
// when we have a go
if(count($new_settings)>0){
	// new setings
	// mga_log(' NEW SETTINGS : '.print_r($new_settings, true));	
	// log
	// mga_log(' OLD SETTINGS : '.print_r($old_settings, true));
	// merge
	if(is_array($old_settings)){
		// array of array settings keep old too
		$new_settings['emailtemplates'] = array_merge($old_settings['emailtemplates'], $new_settings['emailtemplates']);
		// merger with main
		$new_settings = array_merge($old_settings, $new_settings);
	}
	// new setings
	// mga_log(' MERGED NEW SETTINGS : '.print_r($new_settings, true));	
	// update merged settings
	update_option('mga_settings', $new_settings);	
	// get updated
	// $updated_settings = get_option('mga_settings');		
	// mga_log(' UPDATED SETTINGS : '.print_r($updated_settings, true));
}else{
	// mga_log(' NOTHING to UPDATE : '.print_r($new_settings, true));
}																			
// end file