<?php
// get flag
$action_flag=$_REQUEST['mode'];
// call process
mga_call_process($action_flag);

// define actions /////////////

// default list
function f_index(){
	global $wpdb;
	// pager
	$pager = new Mga_Pager();
	// sql
	$sql="SELECT SQL_CALC_FOUND_ROWS A.id,firstname,lastname,email,create_dt,B.name AS country 
	      FROM ".TBL_AFFILITES." A JOIN ".TBL_COUNTRIES." B ON(A.country_code=B.code)
		  ORDER BY create_dt DESC ".$pager->get_query_limit(mga_get_setting('pagination'));	
	// echo $sql;
	// rows	  
	$affiliates=$wpdb->get_results($sql);
	// get page links
	$page_links=$pager->get_pager_links('admin.php?page=mga/admin&load=affiliates');	
	?>
	<?php mga_box_top('Manage/List of Affiliates')?>
		<div align="right"><a href="javascript:reload_affiliate_list()"><img src="<?php echo MGA_PLUGIN_ASSETS_URL ?>images/icons/arrow_refresh.png" /></a></div>	
		<div align="right"><?php if($page_links):?><div class="pager-wrap"><?php echo $page_links?></div><?php endif; ?></div>	
		<form name="frmafflist" id="frmafflist" method="post" action="admin.php?page=mga/admin&load=affiliates"> 	
			<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table widefat">		
				<thead>
					<tr class="alternate">											
						<th scope="col"><b><?php _e('Affiliate ID','mga')?>#</b></th>
						<th scope="col"><b><?php _e('First Name','mga')?></b></th>												
						<th scope="col"><b><?php _e('Last Name','mga')?></b></th>			
						<th scope="col"><b><?php _e('Email Address','mga')?></b></th>
						<th scope="col"><b><?php _e('Date Joined','mga')?></b></th>
						<th scope="col"><b><?php _e('Country','mga')?></b></th>
						<th scope="col"><b><?php _e('Commission','mga')?></b></th>
						<th scope="col"></th>
					</tr>
				</thead>
				<tbody>
				<?php if(count($affiliates)==0):?>
					<tr class="alternate" id="row-0">		
						<td colspan="8" align="center"><?php _e('No Affiliates','mga')?></td>
					</tr>
				<?php endif;			
				// show
				foreach ($affiliates as $affiliate) :?>
					<tr class="alternate" id="row-<?php echo $affiliate->id?>">											
						<td valign="top"><?php echo $affiliate->id?></td>
						<td valign="top"><?php echo $affiliate->firstname?></td>
						<td valign="top"><?php echo $affiliate->lastname?></td>	
						<td valign="top"><?php echo $affiliate->email?></td>			
						<td valign="top"><?php echo date(mga_get_setting('short_date_format'),strtotime($affiliate->create_dt))?></td>
						<td valign="top"><?php echo $affiliate->country?></td>
						<td valign="top"><?php echo mga_get_setting('currency_symbol').mga_affiliate_commission_total($affiliate->id)?></td>
						<td valign="top" nowrap="nowrap">
							<a href="javascript:affiliate_edit('<?php echo $affiliate->id?>')"><img src="<?php echo MGA_PLUGIN_ASSETS_URL?>images/icons/edit.png" /></a>
							<a href="javascript:affiliate_delete('<?php echo $affiliate->id?>')"><img src="<?php echo MGA_PLUGIN_ASSETS_URL?>images/icons/cross.png" /></a>
						</td>
					</tr>
				<?php 
				endforeach;?>
				</tbody>	
			</table>		
		</form>			
		<div align="right"><?php if($page_links):?><div class="pager-wrap"><?php echo $page_links?></div><div class="clearfix"></div><?php endif; ?></div>		
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// set pager
		mga_set_pager('#admin_affiliates');
		// reload
		reload_affiliate_list=function(){
			jQuery('#admin_affiliates .content-div').tabs('load',0);
		}
		// edit
		affiliate_edit=function(id){
			// create tab
			mga_create_tab('#admin_affiliates .content-div', 1, 'admin.php?page=mga/admin&load=affiliates&mode=edit&id='+id, '<?php _e('Edit Affiliate', 'mga')?>');
		}
		// delete
		affiliate_delete=function(id){
			// confirm
			if(!confirm('You are about to delete one row, are you sure!')){
				return ;
			}
			// send
			jQuery.ajax({url:'admin.php?page=mga/admin&load=affiliates',
						type:'POST',
						dataType:'json',
						data:{mode:'delete',id:id},
						beforeSubmit: function(){	
							jQuery('#wrap-admin-affiliates #message').remove();		
							jQuery('#wrap-admin-affiliates').prepend('<div id="message" class="running"> Sending request...</div>');									  	
					    },
						success: function(data){											   														
									jQuery('#wrap-admin-affiliates #message').remove();	
									jQuery('#wrap-admin-affiliates').prepend('<div id="message"></div>');	
									jQuery('#wrap-admin-affiliates #message').addClass(data.status).html(data.message);	
									jQuery.scrollTo('#admin_affiliates',400);
									if(data.status=='success'){
										jQuery("#frmafflist #row-"+id).remove();
									}								   	
			  			}});    			  
		}
		//-->
	</script>
	<?php								
}

// add
function f_add(){	
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(!empty($email)){
			// check email unique
			if(mga_is_duplicate(TBL_AFFILITES,array('email'))){
				$status  ='error';
				$message =__('Affiliate email is duplicate, please provide a unique email.','mga');
			}else{
				$config  = (isset($config) && is_array($config)) ? json_encode($config) : NULL;
				$columns =array('title' => $title, 'firstname' => $firstname, 'lastname' => $lastname, 'company' => $company, 'website' => $website,
								'email' => $email, 'password' => $password, 'paypal_email' => $paypal_email, 'street' => $street, 'city' => $city, 
								'state' => $state, 'zip' => $zip, 'country_code' => $country_code, 'phone' => $phone, 'fax' => $fax, 
								'create_dt' => date('Y-m-d h:i:s'), 'config' => $config );			
				$success=$wpdb->insert(TBL_AFFILITES, $columns);
				if($success){
					$status  ='success';
					$message =__('Affiliate created successfully.','mga');
				}else{
					$status  ='error';
					$message =__('Database error occurred','mga');
				}
			}	
		}else{
			$status  ='error';
			$message =__('Affiliate email not provided.','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// settings
	$mga_settings   =get_option('mga_settings');
	$config         =$mga_settings['general'];	
	$membershipmods =mga_get_setting('membership','recurringmodules');	
	// show form
	?>
	<?php mga_box_top('Add Affiliate')?>	
	<form name="frmaffadd" id="frmaffadd" method="post" action="admin.php?page=mga/admin&load=affiliates&mode=add">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td width="25%" valign="top"><span class="not-required"><?php _e('Title','mga')?></span></td>
					<td valign="top">
						<select name="title">
							<?php print mga_make_combo_options(mga_enum_field_values(TBL_AFFILITES,'title'))?>
						</select>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('First Name','mga')?></span></td>
					<td valign="top"><input type="text" name="firstname"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Last Name','mga')?></span></td>
					<td valign="top"><input type="text" name="lastname"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Company','mga')?></span></td>
					<td valign="top"><input type="text" name="company"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Website Address','mga')?></span></td>
					<td valign="top"><input type="text" name="website" size="50"/></td>
				</tr>				
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Paypal Email Address','mga')?></span></td>
					<td valign="top"><input type="text" name="paypal_email" size="50"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Street','mga')?></span></td>
					<td valign="top"><input type="text" name="street"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('City','mga')?></span></td>
					<td valign="top"><input type="text" name="city"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('State','mga')?></span></td>
					<td valign="top"><input type="text" name="state"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Zip/Postcode','mga')?></span></td>
					<td valign="top"><input type="text" name="zip"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Country','mga')?></span></td>
					<td valign="top">
						<select name="country_code">
							<?php print mga_make_combo_options(mga_countries_array(),'US',2)?>
						</select>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Phone','mga')?></span></td>
					<td valign="top"><input type="text" name="phone"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Fax','mga')?></span></td>
					<td valign="top"><input type="text" name="fax"/></td>
				</tr>
				<tr>
					<td colspan="2" height="30px"><b><?php _e('Login Details','mga')?></b></td>
				</tr>				
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Email Address','mga')?></span></td>
					<td valign="top"><input type="text" name="email" size="50"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Password','mga')?></span></td>
					<td valign="top"><input type="text" name="password"/></td>
				</tr>
				<tr>
					<td colspan="2" height="30px"><b><?php _e('Individual Commission - Override General Commission Settings','mga')?></b></td>
				</tr>				
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Commission Level','mga')?></span></td>
					<td valign="top">
						<?php /*?><input type="text" name="config[commission_level]" size="10" value="<?php echo $config['commission_level']?>"/>	
						<select name="config[commission_type]">
							<option value="flat" <?php mga_select_if_match('flat',$config['commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
							<option value="percent" <?php mga_select_if_match('percent',$config['commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
						</select>					
						<div class="tips"><?php _e('Individual Commission level for payout. <b>If Tier Commission is enabled, this will be disregarded.','mga')?></b></div>	<?php */?>
						
						<input type="checkbox" name="config[commission_level_enabled]" value="Y" /> <?php _e('Override Commission Level','mga')?><br />						
						<div id="bl_commission_level" style="display:none">	
							<input type="text" name="config[commission_level]" size="10" value="<?php echo $config['commission_level']?>"  disabled/>	
							<select name="config[commission_type]"  disabled>
								<option value="flat" <?php mga_select_if_match('flat',$config['commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
								<option value="percent" <?php mga_select_if_match('percent',$config['commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
							</select>	
						</div>					
						<div class="tips"><?php _e('Individual Commission level for payout. If Tier Commission is enabled, this will be disregarded.','mga')?></div>					
					</td>
				</tr>	
				<?php if(count($membershipmods)>0 && mga_get_setting('recurring_commission_enabled','general','N')=='Y'):?>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Recurring Commission','mga')?></span></td>
					<td valign="top">
						<?php /*?>
						<input type="checkbox" name="config[recurring_commission_enabled]" value="Y" <?php mga_check_if_match('Y',$config['recurring_commission_enabled'])?>/> <?php _e('Enable Recurring Commission','mga')?><br />						
						<input type="text" name="config[recurring_commission_level]" size="10" value="<?php echo $config['recurring_commission_level']?>"/>	
						<select name="config[recurring_commission_type]">
							<option value="flat" <?php mga_select_if_match('flat',$config['recurring_commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
							<option value="percent" <?php mga_select_if_match('percent',$config['recurring_commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
						</select>					
						<div class="tips"  style="width:600px"><?php _e('Recurring Commission level for payout. Only available if any Recurring Module is enabled.','mga')?></div>	
						<?php */?>							
						<input type="checkbox" name="config[recurring_commission_enabled]" value="Y" /> <?php _e('Override Recurring Commission','mga')?><br />						
						<div id="bl_recurring_commission" style="display:none">	
							<input type="text" name="config[recurring_commission_level]" size="10" value="<?php echo $config['recurring_commission_level']?>" disabled/>	
							<select name="config[recurring_commission_type]" disabled>
								<option value="flat" <?php mga_select_if_match('flat',$config['recurring_commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
								<option value="percent" <?php mga_select_if_match('percent',$config['recurring_commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
							</select>
						</div>
						<div class="tips"  style="width:600px"><?php _e('Individual Recurring Commission level for payout. Only available if any Recurring Module is enabled and Recurring Commission is enabled.','mga')?></div>					
					</td>
				</tr>
				<?php endif;?>
				<tr>
					<td valign="top"></td>
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>
						<a href="javascript:affiliate_cancel()" class="button"><?php _e('Cancel','mga')?></a>
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   
			// cancel
			affiliate_cancel=function(){
				jQuery('#admin_affiliates .content-div').tabs('select',0);
			}			
			// first field focus 	
			jQuery("#frmaffadd :input:first").focus();							
			// add login form validation
			jQuery("#frmaffadd").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmaffadd").ajaxSubmit({type: "POST",
									          url: 'admin.php?page=mga/admin&load=affiliates&mode=add',
			                                  dataType: 'json',											 
											  beforeSubmit: function(){	
											  	jQuery('#wrap-admin-affiliates #message').remove();		
												jQuery('#wrap-admin-affiliates').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
											  },
											  success: function(data){	
											  		// remove 										   														
													jQuery('#wrap-admin-affiliates #message').remove();	
													// cancel to list
													if(data.status=='success'){														
														jQuery("#frmaffadd :input")
														.not(":input[type='hidden']")
														.not(":input[type='submit']")
														.val('');
														affiliate_cancel(data);	
													}
													// show message
													jQuery('#wrap-admin-affiliates').prepend('<div id="message"></div>');	
													// show
													jQuery('#wrap-admin-affiliates #message').addClass(data.status).html(data.message);	
													// focus
													jQuery.scrollTo('#admin_affiliates',400);								   	
											  }});    		
					return false;											
				},
				rules: {			
					firstname: "required",						
					lastname: "required",					
					email:{
						required:true,
						email:true
					},
					password: {
						required:true,
						minlength:6,
						maxlength:13
					},	
					'config[commission_level]':{required:function(){ return jQuery("#frmaffadd :checkbox[name='config[commission_level_enabled]']").attr('checked');}},										
					'config[recurring_commission_level]':{required:function(){ return jQuery("#frmaffadd :checkbox[name='config[recurring_commission_enabled]']").attr('checked');}}														
				},
				messages: {			
					firstname: "<?php _e('Please enter firstname','mga')?>",
					lastname: "<?php _e('Please enter lastname','mga')?>",
					email: "<?php _e('Please enter a valid email address','mga')?>",
					password: {
						required: "<?php _e('Please provide a password','mga')?>",
						minlength: "<?php _e('Your password must be at least 6 characters long','mga')?>",
						maxlength: "<?php _e('Your password must be at max 13 characters long','mga')?>"
					},
					'config[commission_level]': "<?php _e('Please enter commission level','mga')?>",
					'config[recurring_commission_level]': "<?php _e('Please enter recurring commission level','mga')?>"					
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {					
					if(element.is(":input[name^='config[']"))											
						element.parent().parent().append( error );										
					else							
						error.insertAfter(element);
				}
			});	
			// check bind
			jQuery("#frmaffadd :checkbox[name='config[recurring_commission_enabled]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_recurring_commission :input').attr('disabled', false);
					jQuery('#bl_recurring_commission').show();
				}else{
					jQuery('#bl_recurring_commission :input').attr('disabled', true);
					jQuery('#bl_recurring_commission').hide();
				}
			});		
			jQuery("#frmaffadd :checkbox[name='config[commission_level_enabled]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_commission_level :input').attr('disabled', false);
					jQuery('#bl_commission_level').show();
				}else{
					jQuery('#bl_commission_level :input').attr('disabled', true);
					jQuery('#bl_commission_level').hide();
				}
			});			
		});	
		//-->		
	</script>
	<?php
}

// edit 
function f_edit(){
	global $wpdb;
	// load data
	$id=intval($_GET['id']);
	
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(!empty($email)){
			if(mga_is_duplicate(TBL_AFFILITES,array('email'),"AND `id`<>'{$id}'")){
				$status  ='error';
				$message =__('Affiliate email is already registered, please provide a unique email','mga');
			}else{
				$config  = (isset($config) && is_array($config)) ? json_encode($config) : NULL;
				$columns =array('title' => $title, 'firstname' => $firstname, 'lastname' => $lastname, 'company' => $company, 'website' => $website,
								'email' => $email, 'password' => $password, 'paypal_email' => $paypal_email, 'street' => $street, 'city' => $city, 
								'state' => $state, 'zip' => $zip, 'country_code' => $country_code, 'phone' => $phone, 'fax' => $fax, 'config' => $config);			
				$success=$wpdb->update(TBL_AFFILITES, $columns, array( 'id' => $id ));
				if($success){
					$status  ='success';
					$message =__('Affiliate updated successfully','mga');
				}else{
					$status  ='error';
					$message =__('Database error occurred','mga');
				}
			}	
		}else{
			$status  ='error';
			$message =__('Affiliate email not provided','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	
	// row
	$affiliate=$wpdb->get_row("SELECT * FROM ".TBL_AFFILITES." WHERE id='{$id}'");	
	
	// config
	$config=json_decode($affiliate->config,true);
	if(is_null($config)){
		// settings
		$mga_settings = get_option('mga_settings');
		$config       = $mga_settings['general'];
	}
	$membershipmods   = mga_get_setting('membership','recurringmodules');
	// show form
	?>
	<?php mga_box_top('Edit Affiliate')?>	
	<form name="frmaffedit" id="frmaffedit" method="post" action="admin.php?page=mga/admin&load=affiliates&mode=edit&id=<?php echo $id?>">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td width="25%" valign="top"><span class="not-required"><?php _e('Title','mga')?></span></td>
					<td valign="top">
						<select name="title">
							<?php print mga_make_combo_options(mga_enum_field_values(TBL_AFFILITES,'title'),$affiliate->title)?>
						</select>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('First Name','mga')?></span></td>
					<td valign="top"><input type="text" name="firstname" value="<?php echo $affiliate->firstname?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Last Name','mga')?></span></td>
					<td valign="top"><input type="text" name="lastname" value="<?php echo $affiliate->lastname?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Company','mga')?></span></td>
					<td valign="top"><input type="text" name="company" value="<?php echo $affiliate->company?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Website Address','mga')?></span></td>
					<td valign="top"><input type="text" name="website" value="<?php echo $affiliate->website?>" size="50"/></td>
				</tr>				
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Paypal Email Address','mga')?></span></td>
					<td valign="top"><input type="text" name="paypal_email" value="<?php echo $affiliate->paypal_email?>" size="50"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Street','mga')?></span></td>
					<td valign="top"><input type="text" name="street" value="<?php echo $affiliate->street?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('City','mga')?></span></td>
					<td valign="top"><input type="text" name="city" value="<?php echo $affiliate->city?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('State','mga')?></span></td>
					<td valign="top"><input type="text" name="state" value="<?php echo $affiliate->state?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Zip/Postcode','mga')?></span></td>
					<td valign="top"><input type="text" name="zip" value="<?php echo $affiliate->zip?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Country','mga')?></span></td>
					<td valign="top">
						<select name="country_code">
							<?php print mga_make_combo_options(mga_countries_array(),$affiliate->country_code,2)?>
						</select>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Phone','mga')?></span></td>
					<td valign="top"><input type="text" name="phone" value="<?php echo $affiliate->phone?>"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Fax','mga')?></span></td>
					<td valign="top"><input type="text" name="fax" value="<?php echo $affiliate->fax?>"/></td>
				</tr>
				<tr>
					<td colspan="2" height="30px"><b><?php _e('Login Details','mga')?></b></td>
				</tr>				
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Email Address','mga')?></span></td>
					<td valign="top"><input type="text" name="email" value="<?php echo $affiliate->email?>" size="50"/></td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Password','mga')?></span></td>
					<td valign="top"><input type="text" name="password" value="<?php echo $affiliate->password?>"/></td>
				</tr>
				<tr>
					<td colspan="2" height="30px"><b><?php _e('Individual Commission - Override General Commission Settings','mga')?></b></td>
				</tr>				
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Commission Level','mga')?></span></td>
					<td valign="top">
						<input type="checkbox" name="config[commission_level_enabled]" value="Y" <?php mga_check_if_match('Y',$config['commission_level_enabled'])?>/> <?php _e('Override Commission Level','mga')?><br />						
						<div id="bl_commission_level" style="display:<?php echo ($config['commission_level_enabled']=='Y')?'block':'none'?>">	
							<input type="text" name="config[commission_level]" size="10" value="<?php echo $config['commission_level']?>"  <?php echo ($config['commission_level_enabled']!='Y' ? 'disabled' : '');?>/>	
							<select name="config[commission_type]"  <?php echo ($config['commission_level_enabled']!='Y' ? 'disabled' : '');?>>
								<option value="flat" <?php mga_select_if_match('flat',$config['commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
								<option value="percent" <?php mga_select_if_match('percent',$config['commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
							</select>	
						</div>					
						<div class="tips" style="width:600px"><?php _e('Individual Commission level for payout. If Tier Commission is enabled, this will be disregarded.','mga')?></div>						
					</td>
				</tr>
				<?php if(count($membershipmods)>0 && mga_get_setting('recurring_commission_enabled','general','N')=='Y'):?>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Recurring Commission','mga')?></span></td>
					<td valign="top">
						<input type="checkbox" name="config[recurring_commission_enabled]" value="Y" <?php mga_check_if_match('Y',$config['recurring_commission_enabled'])?>/> <?php _e('Override Recurring Commission','mga')?><br />						
						<div id="bl_recurring_commission" style="display:<?php echo ($config['recurring_commission_enabled']=='Y')?'block':'none'?>">	
							<input type="text" name="config[recurring_commission_level]" size="10" value="<?php echo $config['recurring_commission_level']?>" <?php echo ($config['recurring_commission_enabled']!='Y' ? 'disabled' : '');?>/>	
							<select name="config[recurring_commission_type]" <?php echo ($config['recurring_commission_enabled']!='Y' ? 'disabled' : '');?>>
								<option value="flat" <?php mga_select_if_match('flat',$config['recurring_commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
								<option value="percent" <?php mga_select_if_match('percent',$config['recurring_commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
							</select>
						</div>
						<div class="tips" style="width:600px"><?php _e('Individual Recurring Commission level for payout. Only available if any Recurring Module is enabled and Recurring Commission is enabled.','mga')?></div>	
					</td>
				</tr>
				<?php endif;?>
				<tr>
					<td valign="top"></td>
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>
						<a href="javascript:affiliate_cancel()" class="button"><?php _e('Cancel','mga')?></a>
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   
			// cancel
			affiliate_cancel=function(data){
				// remove edit
				jQuery('#admin_affiliates .content-div').tabs('remove',1);
				// add tab
				jQuery('#admin_affiliates .content-div').tabs('add','admin.php?page=mga/admin&load=affiliates&mode=add','Add Affiliate',1);								
				// show
				jQuery('#admin_affiliates .content-div').tabs('select',0);	
			}			
			// first field focus 	
			jQuery("#frmaffedit :input:first").focus();							
			// add login form validation
			jQuery("#frmaffedit").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmaffedit").ajaxSubmit({type: "POST",
									          url: 'admin.php?page=mga/admin&load=affiliates&mode=edit&id=<?php echo $id?>',
			                                  dataType: 'json',											 
											  beforeSubmit: function(){	
											  	jQuery('#wrap-admin-affiliates #message').remove();		
												jQuery('#wrap-admin-affiliates').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
											  },
											  success: function(data){											   														
											  		// clear old message
													jQuery('#wrap-admin-affiliates #message').remove();	
													// cancel to list		
													if(data.status=='success'){
														affiliate_cancel(data);												
													}
													// create message
													jQuery('#wrap-admin-affiliates').prepend('<div id="message"></div>');	
													// show
													jQuery('#wrap-admin-affiliates #message').addClass(data.status).html(data.message);
													// focus
													jQuery.scrollTo('#admin_affiliates',400);																			   	
											  }});    		
					return false;											
				},
				rules: {			
					firstname: "required",						
					lastname: "required",
					email:{
						required:true,
						email:true
					},
					password: {
						required:true,
						minlength:6,
						maxlength:13
					},					
					'config[commission_level]':{required:function(){ return jQuery("#frmaffedit :checkbox[name='config[commission_level_enabled]']").attr('checked');}},										
					'config[recurring_commission_level]':{required:function(){ return jQuery("#frmaffedit :checkbox[name='config[recurring_commission_enabled]']").attr('checked');}}										
				},
				messages: {			
					firstname: "<?php _e('Please enter firstname','mga')?>",
					lastname: "<?php _e('Please enter lastname','mga')?>",
					email: "<?php _e('Please enter a valid email address','mga')?>",
					password: {
						required: "<?php _e('Please provide a password','mga')?>",
						minlength: "<?php _e('Your password must be at least 6 characters long','mga')?>",
						maxlength: "<?php _e('Your password must be at max 13 characters long','mga')?>"
					},					
					'config[commission_level]': "<?php _e('Please enter commission level','mga')?>",
					'config[recurring_commission_level]': "<?php _e('Please enter recurring commission level','mga')?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {					
					if(element.is(":input[name^='config[']"))											
						element.parent().parent().append( error );										
					else							
						error.insertAfter(element);
				}
			});	
			// check bind
			jQuery("#frmaffedit :checkbox[name='config[recurring_commission_enabled]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_recurring_commission :input').attr('disabled', false);
					jQuery('#bl_recurring_commission').show();
				}else{
					jQuery('#bl_recurring_commission :input').attr('disabled', true);
					jQuery('#bl_recurring_commission').hide();
				}
			});		
			jQuery("#frmaffedit :checkbox[name='config[commission_level_enabled]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_commission_level :input').attr('disabled', false);
					jQuery('#bl_commission_level').show();
				}else{
					jQuery('#bl_commission_level :input').attr('disabled', true);
					jQuery('#bl_commission_level').hide();
				}
			});
			//	
		});	
		//-->		
	</script>	
	<?php
}

// delete 
function f_delete(){
	// default
	$status  ='error';
	$message =__('Affiliate id not provided.','mga');
	// delete
	if(isset($_POST['id']) && intval($_POST['id'])>0){
		global $wpdb;
		extract($_POST);
		$success=$wpdb->query("DELETE FROM ".TBL_AFFILITES." WHERE id='{$id}'");		
		if($success){
			$status  ='success';
			$message =__('Affiliate deleted successfully','mga');
		}else{
			$status  ='error';
			$message =__('Database error occurred','mga');
		}		
	}	
	// the response
	echo json_encode(array('status'=>$status,'message'=>$message));
	exit();
}
// end of file