<?php
// get flag
$action_flag=$_REQUEST['mode'];
// call process
mga_call_process($action_flag);
// define actions /////////////

// default list
function f_index(){
	global $wpdb,$ajax;	
	// pager
	$pager = new Mga_Pager();
	// affiliate_id
	$affiliate_id=intval($_SESSION['SESS_AFF_USER_ID']);	
	// filter
	$filter ="";
	// set	
	if(isset($_POST['filter_mode']) && !empty($_POST['filter_mode'])){
		// local
		extract($_POST);
		// default
		$filter="";
		// blocks
		switch($filter_mode){
			case "date":				
				// date	filter 	
				if(isset($hit_dt['start']) && !empty($hit_dt['start'])){
					if(isset($hit_dt['end']) && !empty($hit_dt['end'])){
						$filter.=" AND (DATE_FORMAT(`hit_dt`,'%m/%d/%Y')>='{$hit_dt['start']}' AND DATE_FORMAT(`hit_dt`,'%m/%d/%Y')<='{$hit_dt['end']}')";
					}else{
						$filter.=" AND DATE_FORMAT(`hit_dt`,'%m/%d/%Y')>='{$hit_dt['start']}'";
					}
				}
			break;
			case "all":
				$filter  ="";
			break;		
		}		
	}
	// sql
	$sql="SELECT SQL_CALC_FOUND_ROWS A.id,ip,referral_url,hit_dt,B.email AS `referrer` FROM ".TBL_CLICKS." A JOIN ".TBL_AFFILITES." B 
	      ON(A.affiliate_id=B.id) WHERE A.affiliate_id='{$affiliate_id}' {$filter} ORDER BY `hit_dt` DESC ".$pager->get_query_limit(mga_get_setting('pagination'));		
	// referrals	
	$referrals=$wpdb->get_results($sql);
	// get page links
	$page_links=$pager->get_pager_links(mga_affaccount_url('referral'));
	// ajax list
	if(!empty($filter_mode)){
		$ajax->Start_Output(false);				
		referral_list($referrals,$page_links);
		$ajax->End_Output();
	}
	?>
	<div class="content-div">
	<form name="frmreferallist" id="frmreferallist" method="post" action="<?php echo mga_affaccount_url('referral')?>"> 																	
		<table cellpadding="1" cellspacing="0" border="0" class="form-table">
			<tr>
				<td>
					<b><?php _e('Start Date','mga')?>:</b> <input type="text" name="hit_dt[start]" value="<?php echo $hit_dt['start']?>"/>
				    <b><?php _e('End Date','mga')?></b><input type="text" name="hit_dt[end]" value="<?php echo $hit_dt['end']?>"/>
					<input type="button" value="<?php _e('Filter','mga');?>" onclick="filter_referrals()" class="button"/>	
					<input type="button" value="<?php _e('Clear','mga');?>" onclick="list_all_referals()" class="button"/>				
					<label id="error_all"></label>
				</td>
			</tr>
		</table>
		<br />
		<table width="80%" cellpadding="1" cellspacing="0" border="1" class="form-table widefat">
			<thead>
				<tr class="alternate">															
					<th scope="col" width="20%"><b><?php _e('Hit Date/Time','mga');?></b></th>
					<th scope="col" width="20%"><b><?php _e('IP Address','mga');?></b></th>																		
					<th scope="col" width="30%"><b><?php _e('Referrer URL','mga');?></b></th>							
				</tr>
			</thead>
			<tbody id="referrallist">
				<?php referral_list($referrals,$page_links)?>
			</tbody>			
		</table>
	</form>	
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   	
			// set pager
			mga_set_pager('#Referrals',2,'affiliate');				
			// date
			jQuery("#frmreferallist :input[name^='hit_dt[']").each(function(i){
						jQuery(this)
						 .attr("size","11")
						 .attr("maxlength","10")						
						 .datepicker({showOn:'focus',buttonImage:'<?php echo MGA_PLUGIN_ASSETS_URL?>/images/icons/calendar.png',buttonImageOnly:true});
			});
			// wrap scope ??? what a solution
			jQuery("#ui-datepicker-div").wrap("<div class='mga'></div>");	
			
			// filter
			filter_referrals=function(){				
				// add form validation
				jQuery("#frmreferallist").validate({					
					submitHandler: function(form) {					    					
						jQuery("#frmreferallist").ajaxSubmit({type: "POST",
												  url: '<?php echo mga_affaccount_url('referral')?>',
												  dataType: 'html',	
												  data:{filter_mode:'date'},												 
												  beforeSubmit: function(){	
													jQuery('.content-div #message').remove();		
													jQuery('.content-div').prepend('<div id="message" class="running"> <?php _e('Loading','mga')?>...</div>');									  	
												  },
												  success: function(data){	
														// remove 										   														
														jQuery('.content-div #message').remove();
														jQuery("#referrallist").html(data);		
														// set pager
														mga_set_pager('#Referrals',2,'affiliate');																																		   	
												  }});    		
						return false;											
					},
					rules: {													
						'hit_dt[start]': {required:false,date:true},
						'hit_dt[end]': {required:false,date:true}					
					},
					messages: {									
						'hit_dt[start]': {date:"<?php _e('Please enter valid date','mga')?>"},					
						'hit_dt[end]': {date:"<?php _e('Please enter valid date','mga')?>"}
					},
					errorClass: 'validation-error',
					errorPlacement: function(error, element) {						
						error.appendTo(jQuery("#error_all"));
					}
				});	
				// fire
				jQuery("#frmreferallist").submit();
			}
			
			// list all
			list_all_referals=function(){
				jQuery("#frmreferallist").ajaxSubmit({type: "POST",
												  url: '<?php echo mga_affaccount_url('referral')?>',
												  dataType: 'html',	
												  data:{filter_mode:'all'},										 
												  beforeSubmit: function(){	
												  	jQuery("#frmreferallist :input[type='text']").val('');
													jQuery('.content-div #message').remove();		
													jQuery('.content-div').prepend('<div id="message" class="running"> <?php _e('Loading','mga')?>...</div>');									  	
												  },
												  success: function(data){	
														// remove 										   														
														jQuery('.content-div #message').remove();
														jQuery("#referrallist").html(data);	
														// set pager
														mga_set_pager('#Referrals',2,'affiliate');																																			   	
												  }});   
			}
		});
		//-->
	</script>		
	</div>		
	<?php
}

// referral_list
function referral_list($referrals,$page_links){		
	// show	
	if(count($referrals)==0){?>
	<tr class="alternate">	
		<td colspan="3" align="center" height="30" valign="middle"><?php _e('No Referrals','mga')?></td>
	</tr>
	<?php
	}
	foreach ($referrals as $referral) {?>
	<tr class="alternate" id="row-<?php echo $referral->id?>">	
		<td valign="top"><?php echo date(mga_get_setting('long_date_format'),strtotime($referral->hit_dt))?></td>	
		<td valign="top"><?php echo $referral->ip?></td>			
		<td valign="top"><?php echo $referral->referral_url?></td>
	</tr>
	<?php 
	}	
	if($page_links):?>
	<tr class="alternate">
		<td colspan="3"><div class="pager-wrap"><?php echo $page_links?></div></td>
	</tr>
	<?php endif;		
}
// end of file