<?php

// get flag

$action_flag=$_REQUEST['mode'];

// call process

mga_call_process($action_flag);



// define actions /////////////



// default list

function f_index(){

	global $wpdb;

	// pager

	$pager = new Mga_Pager();

	// sql

	$sql="SELECT SQL_CALC_FOUND_ROWS A.id,commission_amount,sale_dt,buyer_email,item_id,transaction_id,

	      B.email AS `affiliate_email`,item_type,pay_status,purchaseid FROM ".TBL_SALES." A JOIN ".TBL_AFFILITES." 

		  B ON(A.affiliate_id=B.id) ORDER BY A.sale_dt DESC ".$pager->get_query_limit(mga_get_setting('pagination'));			

	// sales

	$sales=$wpdb->get_results($sql);

	// get page links

	$page_links=$pager->get_pager_links('admin.php?page=mga/admin&load=sales');	

	?>

	<?php mga_box_top('Sales Data')?>

		<div align="right"><a href="javascript:reload_sales_list()"><img src="<?php echo MGA_PLUGIN_ASSETS_URL ?>images/icons/arrow_refresh.png" /></a></div>

		<div align="right"><?php if($page_links):?><div class="pager-wrap"><?php echo $page_links?></div><?php endif; ?></div>

		<form name="frmsalelist" id="frmsalelist" method="post" action="admin.php?page=mga/admin&load=sales"> 																			

			<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table widefat">

				<thead>

					<tr class="alternate">											

						<th scope="col"><b><?php _e('Affiliate','mga')?></b></th>

						<th scope="col"><b><?php _e('Commission Amount','mga')?></b></th>												

						<th scope="col"><b><?php _e('Sale Date/Time','mga')?></b></th>			

						<th scope="col"><b><?php _e('Buyer Email','mga')?></b></th>	

						<th scope="col"><b><?php _e('Item ID','mga')?></b></th>		

						<th scope="col"><b><?php _e('Item Type','mga')?></b></th>	

						<th scope="col"><b><?php _e('Pay Status','mga')?></b></th>	

						<th scope="col"><b><?php _e('Transaction ID','mga')?></b></th>				

						<th scope="col"></th>

					</tr>

				</thead>

				<tbody>

					<?php if(count($sales)==0){?>

					<tr class="alternate" id="row-0">		

						<td colspan="9" align="center"><?php _e('No Sales','mga')?></td>

					</tr>

					<?php }	

					

					// sub total			

					$sub_total_comm   =0;	

					$sub_total_refund =0;	

					// show

					foreach ($sales as $sale) {?>

					<tr class="alternate" id="row-<?php echo $sale->id?>">											

						<td valign="top"><?php echo $sale->affiliate_email?></td>				

						<td valign="top"><?php echo mga_get_setting('currency_symbol').number_format($sale->commission_amount,2,'.',',')?></td>	

						<td valign="top"><?php echo date(mga_get_setting('long_date_format'),strtotime($sale->sale_dt))?></td>

						<td valign="top"><?php echo !empty($sale->buyer_email) ? $sale->buyer_email : 'N/A'?></td>

						<td valign="top"><?php echo !empty($sale->item_id) ? $sale->item_id : 'N/A'?></td>	

						<td valign="top"><?php echo $sale->item_type?></td>	

						<td valign="top"><?php echo $pay_status=mga_check_payment_status($sale)?></td>	

						<td valign="top"><?php echo !empty($sale->transaction_id) ? $sale->transaction_id : 'N/A'?></td>				

						<td valign="top" nowrap="nowrap">

							<a href="javascript:sale_edit('<?php echo $sale->id?>')"><img src="<?php echo MGA_PLUGIN_ASSETS_URL?>images/icons/edit.png" /></a>

							<a href="javascript:sale_delete('<?php echo $sale->id?>')"><img src="<?php echo MGA_PLUGIN_ASSETS_URL?>images/icons/cross.png" /></a>				

						</td>

					</tr>

					<?php

						// sub total 					

						$sub_total_comm   +=$sale->commission_amount;

						// refund

						if($pay_status=='refund'){

							$sub_total_refund +=$sale->commission_amount;

						}

					}?>

					<tr>

						<td align="right" width="15%"><b><?php _e('Sub Total','mga')?>:</b></td>					

						<td colspan="8" align="left">

							<b><?php echo mga_get_setting('currency_symbol').number_format($sub_total_comm,2,'.',',')?></b>

						</td>

					</tr>

					<tr>

						<td align="right"><b><?php _e('Refund','mga')?>:</b></td>					

						<td colspan="8" align="left">

							<b><?php echo mga_get_setting('currency_symbol').number_format($sub_total_refund,2,'.',',')?></b>

						</td>

					</tr>

					<tr>

						<td align="right" width="15%"><b><?php _e('Total','mga')?>:</b></td>					

						<td colspan="8" align="left">

							<b><?php echo mga_get_setting('currency_symbol').number_format(($sub_total_comm-$sub_total_refund),2,'.',',')?></b>

						</td>

					</tr>					

				</tbody>	

			</table>		

		</form>												

		<div align="right"><?php if($page_links):?><div class="pager-wrap"><?php echo $page_links?></div><div class="clearfix"></div><?php endif; ?></div>	

	<?php mga_box_bottom()?>

	<script language="javascript">

		<!--

		// set pager

		mga_set_pager('#admin_sales');

		// reload

		reload_sales_list=function(){

			jQuery('#admin_sales .content-div').tabs('load',0);

		}

		// edit

		sale_edit=function(id){

			jQuery('#admin_sales .content-div').tabs('remove',1);

			jQuery('#admin_sales .content-div').tabs('add','admin.php?page=mga/admin&load=sales&mode=edit&id='+id,'Edit Sales',1);

			jQuery('#admin_sales .content-div').tabs('select',1);

		}

		// delete

		sale_delete=function(id){

			// confirm

			if(!confirm('You are about to delete one row, are you sure!')){

				return ;

			}

			// send

			jQuery.ajax({url:'admin.php?page=mga/admin&load=sales',

						type:'POST',

						dataType:'json',

						data:{mode:'delete',id:id},

						beforeSubmit: function(){	

							jQuery('#wrap-admin-sales #message').remove();		

							jQuery('#wrap-admin-sales').prepend('<div id="message" class="running"> Sending request...</div>');									  	

					    },

						success: function(data){											   														

									jQuery('#wrap-admin-sales #message').remove();	

									jQuery('#wrap-admin-sales').prepend('<div id="message"></div>');	

									jQuery('#wrap-admin-sales #message').addClass(data.status).html(data.message);	

									jQuery.scrollTo('#admin_sales',400);

									if(data.status=='success'){

										jQuery("#frmsalelist #row-"+id).remove();

									}								   	

			  			}});    			  

		}		

		//-->

	</script>

	<?php								

}



// add

function f_add(){	

	global $wpdb;

	// save

	if(isset($_POST['process']) && $_POST['process']=='true'){		

		extract($_POST);

		if(!empty($affiliate_id)){

			// check email unique

			if(mga_is_duplicate(TBL_SALES,array('affiliate_id','transaction_id'))){

				$status  ='error';

				$message =__('Transaction is duplicate, please provide a unique transsaction ID.','mga');

			}else{

				$sale_dt=date('Y-m-d h:i:s',strtotime($sale_dt));

				$columns =array('affiliate_id' => $affiliate_id, 'totalprice' => $totalprice, 'commission_amount' => $commission_amount, 

				                'sale_dt' => $sale_dt, 'buyer_name' => $buyer_name, 'buyer_email' => $buyer_email, 'item_type' => $item_type,

								'item_id' => $item_id, 'transaction_id' => $transaction_id, 'pay_status' => $pay_status);	

				$success=$wpdb->insert(TBL_SALES, $columns);

				if($success){

					$status  ='success';

					$message =__('Sales added successfully.','mga');

				}else{

					$status  ='error';

					$message =__('Database error occurred','mga');

				}

			}	

		}else{

			$status  ='error';

			$message =__('Affiliate not provided.','mga');

		}		

		// the response

		echo json_encode(array('status'=>$status,'message'=>$message));

		exit();

	}	

	// show form

	?>

	<?php mga_box_top('Add Sales')?>	

	<form name="frmsaleadd" id="frmsaleadd" method="post" action="admin.php?page=mga/admin&load=sales&mode=add">			

		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		

			<tbody>

				<tr>

					<td width="25%" valign="top"><span class="required-field"><?php _e('Affiliate','mga')?></span></td>

					<td valign="top">

						<select name="affiliate_id">

							<?php print mga_make_combo_options(mga_affiliates_array(),1,2)?>

						</select>

					</td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Total Sale Amount','mga')?></span></td>

					<td valign="top"><input type="text" name="totalprice" size="10"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Commission Amount','mga')?></span></td>

					<td valign="top"><input type="text" name="commission_amount" size="10"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Sale Date/Time','mga')?></span></td>

					<td valign="top">							

						<input type="text" name="sale_dt" id="sale_dt"/><?php mga_time_select()?>		

						<label id="error_sale_dt"></label>					

					</td>

				</tr>					

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Buyer Name','mga')?></span></td>

					<td valign="top"><input type="text" name="buyer_name" size="40"/></td>

				</tr>					

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Buyer Email Address','mga')?></span></td>

					<td valign="top"><input type="text" name="buyer_email" size="40"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Item Type','mga')?></span></td>

					<td valign="top"><?php print mga_make_radio_group('item_type',mga_enum_field_values(TBL_SALES,'item_type'),'sales')?></td>

				</tr>	

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Item ID','mga')?></span></td>

					<td valign="top"><input type="text" name="item_id"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Transaction ID','mga')?></span></td>

					<td valign="top"><input type="text" name="transaction_id" size="40"/></td>

				</tr>	

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Payment Status','mga')?></span></td>

					<td valign="top"><?php print mga_make_radio_group('pay_status',mga_enum_field_values(TBL_SALES,'pay_status'),'pending')?></td>

				</tr>			

				<tr>

					<td valign="top"></td>

					<td valign="top">

						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>

						<a href="javascript:sale_cancel()" class="button"><?php _e('Cancel','mga')?></a>

					</td>

				</tr>

			</tbody>	

		</table>			

		<input type="hidden" name="process" value="true" />

	</form>											

	<br />	

	<?php mga_box_bottom()?>

	<script language="javascript">

		<!--

		// onready

		jQuery(document).ready(function(){   

			// cacel

			sale_cancel=function(){

				jQuery('#admin_sales .content-div').tabs('select',0);

			}			

			// first field focus 	

			jQuery("#frmsaleadd :input:first").focus();			

			// date

			jQuery("#frmsaleadd :input[name*='_dt']").each(function(i){

						jQuery(this)

						 .attr("size","11")

						 .attr("maxlength","10")						

						 .datepicker({showOn:'focus',buttonImage:'<?php echo MGA_PLUGIN_ASSETS_URL?>/images/icons/calendar.png',buttonImageOnly:true});

			});

			// wrap scope ??? what a solution

			jQuery("#ui-datepicker-div").wrap("<div class='mga'></div>");					

			// add form validation

			jQuery("#frmsaleadd").validate({					

				submitHandler: function(form) {					    					

					jQuery("#frmsaleadd").ajaxSubmit({type: "POST",

									          url: 'admin.php?page=mga/admin&load=sales&mode=add',

			                                  dataType: 'json',											 

											  beforeSubmit: function(){	

											  	jQuery('#wrap-admin-sales #message').remove();		

												jQuery('#wrap-admin-sales').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	

											  },

											  success: function(data){	

											  		// remove 										   														

													jQuery('#wrap-admin-sales #message').remove();	

													// cancel to list

													if(data.status=='success'){														

														jQuery("#frmsaleadd :input")

														.not(":input[type='hidden']")

														.not(":input[type='submit']")

														.val('');

														sale_cancel(data);	

													}

													// show message

													jQuery('#wrap-admin-sales').prepend('<div id="message"></div>');	

													// show

													jQuery('#wrap-admin-sales #message').addClass(data.status).html(data.message);	

													// focus

													jQuery.scrollTo('#admin_sales',400);								   	

											  }});    		

					return false;											

				},

				rules: {			

					commission_amount: {required:true,number:true},						

					sale_dt: {required:true,date:true},

					buyer_email:{required:true,email:true},

					item_id:"required",

					transaction_id:"required"					

				},

				messages: {			

					commission_amount: {required: "<?php _e('Please enter commission amount','mga')?>", number:"<?php _e('Please enter numbers','mga')?>"},

					sale_dt: {required:"<?php _e('Please enter sale date','mga')?>",date:"<?php _e('Please enter valid date','mga')?>"},					

					buyer_email: "<?php _e('Please enter a valid email address','mga')?>",

					item_id: "<?php _e('Please enter item ID','mga')?>",

					transaction_id: "<?php _e('Please enter transaction ID','mga')?>"

				},

				errorClass: 'validation-error',

				errorPlacement: function(error, element) {

					if(element.is(":input[name='sale_dt']"))

						error.appendTo(jQuery("#error_"+element.get(0).name));											

					else							

						error.insertAfter(element);

				}

			});				

		});	

		//-->		

	</script>

	<?php

}



// edit 

function f_edit(){

	global $wpdb;

	// load data

	$id=intval($_GET['id']);

	

	// save

	if(isset($_POST['process']) && $_POST['process']=='true'){		

		extract($_POST);

		if(!empty($affiliate_id)){

			if(mga_is_duplicate(TBL_SALES,array('affiliate_id','transaction_id'),"AND `id`<>'{$id}'")){

				$status  ='error';

				$message =__('Transaction is duplicate, please provide a unique transsaction ID.','mga');

			}else{

				$sale_dt =date('Y-m-d h:i:s',strtotime($sale_dt));

				$columns =array('affiliate_id' => $affiliate_id, 'totalprice' => $totalprice, 'commission_amount' => $commission_amount, 

				                'sale_dt' => $sale_dt, 'buyer_name' => $buyer_name, 'buyer_email' => $buyer_email, 'item_type' => $item_type,

								'item_id' => $item_id, 'transaction_id' => $transaction_id, 'pay_status' => $pay_status);				

				$success=$wpdb->update(TBL_SALES, $columns, array( 'id' => $id ));

				if($success){

					$status  ='success';

					$message =__('Sales updated successfully.','mga');

				}else{

					$status  ='error';

					$message =__('Database error occurred','mga');

				}

			}	

		}else{

			$status  ='error';

			$message =__('Affiliate not provided.','mga');

		}		

		// the response

		echo json_encode(array('status'=>$status,'message'=>$message));

		exit();

	}

	

	// row

	$sale=$wpdb->get_row("SELECT * FROM ".TBL_SALES." WHERE id='{$id}'");	

	// show form

	?>

	<?php mga_box_top('Edit Sales')?>	

	<form name="frmsaleedit" id="frmsaleedit" method="post" action="admin.php?page=mga/admin&load=sales&mode=edit&id=<?php echo $id?>">

		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		

			<tbody>

				<tr>

					<td width="25%" valign="top"><span class="required-field"><?php _e('Affiliate','mga')?></span></td>

					<td valign="top">

						<select name="affiliate_id">

							<?php print mga_make_combo_options(mga_affiliates_array(),$sale->affiliate_id,2)?>

						</select>

					</td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Total Sale Amount','mga')?></span></td>

					<td valign="top"><input type="text" name="totalprice" size="10" value="<?php echo $sale->totalprice?>"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Commission Amount','mga')?></span></td>

					<td valign="top"><input type="text" name="commission_amount" size="10" value="<?php echo $sale->commission_amount?>"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Sale Date','mga')?></span></td>

					<td valign="top">

						<input type="text" name="sale_dt" value="<?php echo date('m/d/Y',strtotime($sale->sale_dt))?>"/>

						<?php mga_time_select()?>		

						<label id="error_sale_dt"></label>			

					</td>

				</tr>						

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Buyer Name','mga')?></span></td>

					<td valign="top"><input type="text" name="buyer_name" size="40" value="<?php echo $sale->buyer_name?>"/></td>

				</tr>						

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Buyer Email Address','mga')?></span></td>

					<td valign="top"><input type="text" name="buyer_email" size="40" value="<?php echo $sale->buyer_email?>"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Item Type','mga')?></span></td>

					<td valign="top"><?php print mga_make_radio_group('item_type',mga_enum_field_values(TBL_SALES,'item_type'),$sale->item_type)?></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Item ID','mga')?></span></td>

					<td valign="top"><input type="text" name="item_id" value="<?php echo $sale->item_id?>"/></td>

				</tr>

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Transaction ID','mga')?></span></td>

					<td valign="top"><input type="text" name="transaction_id" size="40" value="<?php echo $sale->transaction_id?>"/></td>

				</tr>	

				<tr>

					<td valign="top"><span class="required-field"><?php _e('Payment Status','mga')?></span></td>

					<td valign="top"><?php print mga_make_radio_group('pay_status',mga_enum_field_values(TBL_SALES,'pay_status'),$sale->pay_status)?></td>

				</tr>			

				<tr>

					<td valign="top"></td>

					<td valign="top">

						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>

						<a href="javascript:sale_cancel()" class="button"><?php _e('Cancel','mga')?></a>

					</td>

				</tr>

			</tbody>	

		</table>	

		<input type="hidden" name="process" value="true" />

	</form>											

	<br />	

	<?php mga_box_bottom()?>

	<script language="javascript">

		<!--

		// onready

		jQuery(document).ready(function(){   

			// cacel

			sale_cancel=function(data){

				// remove edit

				jQuery('#admin_sales .content-div').tabs('remove',1);

				// add tab

				jQuery('#admin_sales .content-div').tabs('add','admin.php?page=mga/admin&load=sales&mode=add','Add Sales',1);								

				// show

				jQuery('#admin_sales .content-div').tabs('select',0);	

			}			

			// first field focus 	

			jQuery("#frmsaleedit :input:first").focus();		

			// date

			jQuery("#frmsaleedit :input[name*='_dt']").each(function(i){

						jQuery(this)

						 .attr("size","11")

						 .attr("maxlength","10")						

						 .datepicker({showOn:'focus',buttonImage:'<?php echo MGA_PLUGIN_ASSETS_URL?>/images/icons/calendar.png',buttonImageOnly:true});

			});					

			// add login form validation

			jQuery("#frmsaleedit").validate({					

				submitHandler: function(form) {					    					

					jQuery("#frmsaleedit").ajaxSubmit({type: "POST",

									          url: 'admin.php?page=mga/admin&load=sales&mode=edit&id=<?php echo $id?>',

			                                  dataType: 'json',											 

											  beforeSubmit: function(){	

											  	jQuery('#wrap-admin-sales #message').remove();		

												jQuery('#wrap-admin-sales').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	

											  },

											  success: function(data){											   														

											  		// clear old message

													jQuery('#wrap-admin-sales #message').remove();	

													// cancel to list		

													if(data.status=='success'){

														sale_cancel(data);												

													}

													// create message

													jQuery('#wrap-admin-sales').prepend('<div id="message"></div>');	

													// show

													jQuery('#wrap-admin-sales #message').addClass(data.status).html(data.message);

													// focus

													jQuery.scrollTo('#admin_sales',400);																			   	

											  }});    		

					return false;											

				},

				rules: {			

					commission_amount: {required:true,number:true},						

					sale_dt: {required:true,date:true},

					buyer_email:{required:true,email:true},

					item_id:"required",

					transaction_id:"required"

				},

				messages: {			

					commission_amount: {required: "<?php _e('Please enter commission amount','mga')?>", number:"<?php _e('Please enter numbers','mga')?>"},

					sale_dt: {required:"<?php _e('Please enter sale date','mga')?>",date:"Please enter date only"},					

					buyer_email: "Please enter a valid email address",

					item_id: "<?php _e('Please enter item ID','mga')?>",

					transaction_id: "<?php _e('Please enter transaction ID','mga')?>"

				},

				errorClass: 'validation-error',

				errorPlacement: function(error, element) {

					if(element.is(":input[name='sale_dt']"))

						error.appendTo(jQuery("#error_"+element.get(0).name));																

					else							

						error.insertAfter(element);

				}

			});				

		});	

		//-->		

	</script>	

	<?php

}



// delete 

function f_delete(){

	// default

	$status  ='error';

	$message =__('Sales not provided.','mga');

	// delete

	if(isset($_POST['id']) && intval($_POST['id'])>0){

		global $wpdb;

		extract($_POST);

		$success=$wpdb->query("DELETE FROM ".TBL_SALES." WHERE id='{$id}'");		

		if($success){

			$status  ='success';

			$message =__('Sales deleted successfully.','mga');

		}else{

			$status  ='error';

			$message =__('Database error occurred','mga');

		}		

	}	

	// the response

	echo json_encode(array('status'=>$status,'message'=>$message));

	exit();

}

// end of file