<?php

// get flag

$action_flag=$_REQUEST['mode'];

// call process

mga_call_process($action_flag);



// define actions /////////////



// default list

function f_index(){

	global $wpdb,$ajax;	

	// pager

	$pager = new Mga_Pager();

	// affiliate_id

	$affiliate_id=intval($_SESSION['SESS_AFF_USER_ID']);

	// filter

	$filter ="";	

	if(isset($_POST['filter_mode']) && !empty($_POST['filter_mode'])){

		// local

		extract($_POST);

		// default

		$filter="";

		// blocks

		switch($filter_mode){

			case "date":				

				// date	filter 	

				if(isset($sale_dt['start']) && !empty($sale_dt['start'])){

					if(isset($sale_dt['end']) && !empty($sale_dt['end'])){

						$filter.=" AND (DATE_FORMAT(`sale_dt`,'%m/%d/%Y')>='{$sale_dt['start']}' AND DATE_FORMAT(`sale_dt`,'%m/%d/%Y')<='{$sale_dt['end']}')";

					}else{

						$filter.=" AND DATE_FORMAT(`sale_dt`,'%m/%d/%Y')>='{$sale_dt['start']}'";

					}

				}

			break;

			case "all":

				$filter  ="";

			break;		

		}		

	}

	// AND pay_status='processed'

	// sql

	$sql="SELECT SQL_CALC_FOUND_ROWS A.id,commission_amount,sale_dt,pay_status,purchaseid,item_type FROM ".TBL_SALES." A JOIN ".TBL_AFFILITES." B ON(A.affiliate_id=B.id) 

		  WHERE A.affiliate_id='{$affiliate_id}' AND pay_dt IS NULL {$filter} ORDER BY `sale_dt` DESC ".$pager->get_query_limit(mga_get_setting('pagination'));	

	// echo $sql;	  	

	$sales=$wpdb->get_results($sql);

	// get page links

	$page_links=$pager->get_pager_links(mga_affaccount_url('sales'));

	// ajax list

	if(!empty($filter_mode)){

		$ajax->Start_Output(false);		

		sales_list($sales,$page_links);

		$ajax->End_Output();

	}

	?>

	<div class="content-div">

	<form name="frmsalelist" id="frmsalelist" method="post" action="<?php echo mga_affaccount_url('sales')?>"> 																	

		<table cellpadding="1" cellspacing="0" border="0" class="form-table">

			<tr>

				<td>

					<b><?php _e('Start Date','mga')?>:</b> <input type="text" name="sale_dt[start]" value="<?php echo $sale_dt['start']?>"/>

				    <b><?php _e('End Date','mga')?></b><input type="text" name="sale_dt[end]" value="<?php echo $sale_dt['end']?>"/>

					<input type="button" value="<?php _e('Filter','mga');?>" onclick="filter_sales()" class="button"/>	

					<input type="button" value="<?php _e('Clear','mga');?>" onclick="list_all_sales()" class="button"/>				

					<label id="error_all"></label>

				</td>

			</tr>

		</table>

		<br />

		<table width="80%" cellpadding="1" cellspacing="0" border="1" class="form-table widefat">

			<thead>

				<tr class="alternate">															

					<th scope="col" width="20%"><b><?php _e('Date/Time','mga');?></b></th>	

					<th scope="col" width="20%"><b><?php _e('Pay Status','mga')?></b></th>																	

					<th scope="col" width="30%"><b><?php _e('Your Earning','mga');?></b></th>							

				</tr>

			</thead>

			<tbody id="saleslist">

				<?php sales_list($sales,$page_links)?>

			</tbody>			

		</table>

	</form>	

	<script language="javascript">

		<!--

		// onready

		jQuery(document).ready(function(){ 

			// set pager

			mga_set_pager('#Sales',3,'affiliate');	 					

			// date

			jQuery("#frmsalelist :input[name^='sale_dt[']").each(function(i){

						jQuery(this)

						 .attr("size","11")

						 .attr("maxlength","10")						

						 .datepicker({showOn:'focus',buttonImage:'<?php echo MGA_PLUGIN_ASSETS_URL?>/images/icons/calendar.png',buttonImageOnly:true});

			});

			// wrap scope ??? what a solution

			jQuery("#ui-datepicker-div").wrap("<div class='mga'></div>");	

			

			// filter

			filter_sales=function(){				

				// add form validation

				jQuery("#frmsalelist").validate({					

					submitHandler: function(form) {					    					

						jQuery("#frmsalelist").ajaxSubmit({type: "POST",

												  url: '<?php echo mga_affaccount_url('sales')?>',

												  dataType: 'html',	

												  data:{filter_mode:'date'},												 

												  beforeSubmit: function(){	

													jQuery('.content-div #message').remove();		

													jQuery('.content-div').prepend('<div id="message" class="running"> <?php _e('Loading','mga')?>...</div>');									  	

												  },

												  success: function(data){	

														// remove 										   														

														jQuery('.content-div #message').remove();

														jQuery("#saleslist").html(data);

														// set pager

														mga_set_pager('#Sales',3,'affiliate');																																			   	

												  }});    		

						return false;											

					},

					rules: {													

						'sale_dt[start]': {required:false,date:true},

						'sale_dt[end]': {required:false,date:true}					

					},

					messages: {									

						'sale_dt[start]': {date:"<?php _e('Please enter valid date','mga')?>"},					

						'sale_dt[end]': {date:"<?php _e('Please enter valid date','mga')?>"}

					},

					errorClass: 'validation-error',

					errorPlacement: function(error, element) {						

						error.appendTo(jQuery("#error_all"));

					}

				});	

				// fire

				jQuery("#frmsalelist").submit();

			}

			

			// list all

			list_all_sales=function(){

				jQuery("#frmsalelist").ajaxSubmit({type: "POST",

												  url: '<?php echo mga_affaccount_url('sales')?>',

												  dataType: 'html',	

												  data:{filter_mode:'all'},										 

												  beforeSubmit: function(){	

												  	jQuery("#frmsalelist :input[type='text']").val('');

													jQuery('.content-div #message').remove();		

													jQuery('.content-div').prepend('<div id="message" class="running"> <?php _e('Loading','mga')?>...</div>');									  	

												  },

												  success: function(data){	

														// remove 										   														

														jQuery('.content-div #message').remove();

														jQuery("#saleslist").html(data);	

														// set pager

														mga_set_pager('#Sales',3,'affiliate');																																			   																																			   	

												  }});   

			}

		});

		//-->

	</script>		

	</div>		

	<?php

}



// sales_list

function sales_list($sales,$page_links){		

	// show	

	if(count($sales)==0){?>

	<tr class="alternate">	

		<td colspan="3" align="center" height="30" valign="middle"><?php _e('No Sales','mga');?></td>

	</tr>

	<?php

	}

	// sub total			

	$sub_total_comm   =0;	

	$sub_total_refund =0;	

	// show			

	foreach ($sales as $sale) {?>

	<tr class="alternate" id="row-<?php echo $sale->id?>">	

		<td valign="top"><?php echo date(mga_get_setting('long_date_format'),strtotime($sale->sale_dt))?></td>		

		<td valign="top"><?php echo $pay_status=mga_check_payment_status($sale)?></td>			

		<td valign="top"><?php echo mga_get_setting('currency_symbol').number_format($sale->commission_amount,2,'.',',')?></td>

	</tr>

	<?php 

		// sub total 					

		$sub_total_comm   +=$sale->commission_amount;

		// refund

		if($pay_status=='refund'){

			$sub_total_refund +=$sale->commission_amount;

		}

	}	

	

	// show total

	if($sub_total_comm>0){

	?>

	<tr>

		<td align="right"><b><?php _e('Sub Total','mga')?>:</b></td>

		<td colspan="2">

			<b><?php echo mga_get_setting('currency_symbol').number_format($sub_total_comm,2,'.',',')?></b>

		</td>

	</tr>

	<tr>

		<td align="right"><b><?php _e('Refund','mga')?>:</b></td>

		<td colspan="2">

			<b><?php echo mga_get_setting('currency_symbol').number_format($sub_total_refund,2,'.',',')?></b>

		</td>

	</tr>

	<tr>

		<td align="right"><b><?php _e('Total','mga')?>:</b></td>

		<td colspan="2">

			<b><?php echo mga_get_setting('currency_symbol').number_format(($sub_total_comm-$sub_total_refund),2,'.',',')?></b>

		</td>

	</tr>

	<?php

	}	

	if($page_links):?>

	<tr class="alternate">

		<td colspan="3"><div class="pager-wrap"><?php echo $page_links?></div></td>

	</tr>

	<?php endif;						

}

// end of file